# CircleBackgroundDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for CircleBackgroundDrawer:
[legend]

List of all members.

## Public Member Functions

| __construct ($count, $minRadius, $maxRadius=null)
| draw ()

## Public Attributes

const | VERTEX_COUNT = 20

## Private Member Functions

| drawCircle ($x, $y, $radius)

## Private Attributes

| $minRadius = null
| $maxRadius = null
| $count = null

## Detailed Description

Definition at line 15 of file CircleBackgroundDrawer.class.php.

## Constructor & Destructor Documentation

CircleBackgroundDrawer::__construct | ( | $ | count,
|  | $ | minRadius,
|  | $ | maxRadius = `null` |
| ) |  |  |

Definition at line 23 of file CircleBackgroundDrawer.class.php.

References $count, $maxRadius, and $minRadius.

## Member Function Documentation

CircleBackgroundDrawer::draw | ( |  | ) |

Returns:
  CircleBackgroundDrawer

Reimplemented from BackgroundDrawer.

Definition at line 36 of file CircleBackgroundDrawer.class.php.

References drawCircle(), and Drawer::getTuringImage().

Here is the call graph for this function:

CircleBackgroundDrawer::drawCircle | ( | $ | x,
|  | $ | y,
|  | $ | radius |
| ) |  |  | `[private]`

Definition at line 50 of file CircleBackgroundDrawer.class.php.

References Drawer::getTuringImage(), BackgroundDrawer::makeColor(), and VERTEX_COUNT.

Referenced by draw().

Here is the call graph for this function:

## Member Data Documentation

CircleBackgroundDrawer::$count = null`[private]`

Definition at line 21 of file CircleBackgroundDrawer.class.php.

Referenced by __construct().

CircleBackgroundDrawer::$maxRadius = null`[private]`

Definition at line 20 of file CircleBackgroundDrawer.class.php.

Referenced by __construct().

CircleBackgroundDrawer::$minRadius = null`[private]`

Definition at line 19 of file CircleBackgroundDrawer.class.php.

Referenced by __construct().

const CircleBackgroundDrawer::VERTEX_COUNT = 20

Definition at line 17 of file CircleBackgroundDrawer.class.php.

Referenced by drawCircle().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/CircleBackgroundDrawer.class.php